Problemas al instalar paquetes por terminal, ayuda porfa!!!

Imagen de kazuyawins
0 puntos

Hola a todos, estoy encantado con el ubuntu, de las tantas cosas bellas que se hablan de este sistema operativo me anime a instalarlo, pero ahora tengo un problemon que no logro solucionar, y es que no puedo instalar paquetes, por ejemplo quiero instalar el yum para poder usar justamente el comando yum y me sale este error:

Existe un problema de importación uno de los módulos de Python
Necesarios para ejecutar yum. El error que conduce a este problema es:

No módulo llamado cElementTree

Por favor, instale un paquete que ofrece este módulo, o
Comprobar que el módulo está instalado correctamente.

Es posible que el módulo anterior no coincide con el
Versión actual de Python, que es:
2.5.1 (r251: 54863, Oct 5 2007, 13:36:32)
[GCC 4.1.3 20070929 (pre) (Ubuntu 4.1.2-16ubuntu2)]

Si no puede resolver este problema por su cuenta, por favor, envíe este
Mensaje a <yum@lists.linux.duke.edu>.

Y cada que intento instalar un paquete con sudo aptitude install me sale este error fatal:

root@xxx-desktop:/home/xxx# sudo aptitude install python-elementtree-1.2.6-4.2.1.i386.rpm
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Leyendo la información de estado extendido
Inicializando el estado de los paquetes... Hecho
Construir la base de datos de etiquetas... Hecho
No se pudo encontrar ningún paquete cuyo nombre o descripción coincida con "python-elementtree-1.2.6-4.2.1.i386.rpm" -----what?????????????

Osea no instala nada y por las puras me sale mas lineas, que alguien me de una ayuda simple sobe como arreglar la forma de instalar, no me digan que instale por via grafica synaptic. Espero que alguien me ayude de verdad.

 

Imagen de patagonian18
+1
0
-1

No es que yo sea un experto ni mucho menos..., pero ¿yum no es aquel programa que sirve para instalar los paquetes rpm? Pues en Ubuntu existe Synaptic que hace lo mismo, además que Ubuntu como buena hija de Debian usa los .deb en vez de los .rpm de red hat.

+1
0
-1

 

mi blog: www.patagonianuser.blogspot.com

Ad augusta per angusta

Imagen de slap
+1
0
-1

Hola.
Como ya te han comentado, los paquetes .rpm son los que usan distribuciones como RedHat u otras basadas en ella.

En Ubuntu se usan los paquetes .deb

Si quieres instalar paquetes .rpm (que yo te desaconsejo si existe el equivalente .deb), instala yum desde synaptic o desde la terminal con:

sudo apt-get install yum

Una vez instalado, ya podrás usar yum para instalar y gestionar los paquetes .rpm

Si ya has instalado yum y lo que tienes es un problema de dependencias, instala los paquetes que te hagan falta desde synaptic o con apt-get install <paquete>

Saludos.
slap

+1
0
-1

Saludos.

0000 start out (+FD),A
           ld  BC, +7FFF
           jp 03CB, RAM-CHECK

http://www.injiniero.es

Imagen de Luis G123V
+1
0
-1

También puedes transformar el paquete rpm a deb con el alien haciendo lo siguiente:

1)         Primero deberás instalar el alien, para ello escribe el comando $sudo apt-get install alien.

2)         Una vez instalado el alien escribe $alien -d el_nombre_del_paquete.

y listo! se te habrá generado el paquete .deb.

nota: ejecuta este procedimiento solo si no existe el equivalente .deb

Saludos.

+1
0
-1